diff -ruN pcmcia-cs.orig/etc/network pcmcia-cs/etc/network
--- pcmcia-cs.orig/etc/network	Tue Nov 27 07:18:55 2001
+++ pcmcia-cs/etc/network	Mon Dec 24 23:21:56 2001
@@ -60,6 +60,10 @@
 
     [ -n "$IF_PORT" ] && /sbin/ifport $DEVICE $IF_PORT
 
+    if is_true $WHEREAMI ; then
+	/usr/sbin/whereami --run_from pcmcia --syslog --hint $DEVICE || exit 1
+    fi
+
     if is_true $PPPOE ; then
 	log /sbin/ifconfig $DEVICE up
 	log "/usr/sbin/pppd call dsl-provider" || exit 1
@@ -164,8 +168,8 @@
 
     stop_fn $DEVICE
 
-    if is_true $PUMP || is_true $BOOTP || is_true $DHCP || \
-    	is_true $DHCLIENT || [ -n "$IPADDR" ] ; then
+     if is_true $WHEREAMI || is_true $PUMP || is_true $BOOTP \
+          || is_true $DHCP || is_true $DHCLIENT || [ -n "$IPADDR" ] ; then
 
 	# Shut down all NFS mounts on this interface
 	nfsstop ()
diff -ruN pcmcia-cs.orig/etc/network.opts pcmcia-cs/etc/network.opts
--- pcmcia-cs.orig/etc/network.opts	Tue Nov 27 07:18:55 2001
+++ pcmcia-cs/etc/network.opts	Mon Dec 24 22:51:34 2001
@@ -13,6 +13,8 @@
     IF_PORT=""
     # Use BOOTP (via /sbin/bootpc, or /sbin/pump)? [y/n]
     BOOTP="n"
+    # Use WHEREAMI ? [y/n]
+    WHEREAMI="n"
     # Use DHCP (via /sbin/dhcpcd, /sbin/dhclient, or /sbin/pump)? [y/n]
     DHCP="n"
     # If you need to explicitly specify a hostname for DHCP requests
